import { h } from "@stencil/core";
export class BpSdkQuoteRequestProductListContainer {
    constructor() {
        this.products = [];
        this.useExternal = false;
    }
    resetState() { }
    componentWillLoad() {
        this.useExternal = !!customElements.get('bp-sdk-external-quote-request-product-list-container');
        customElements.whenDefined('bp-sdk-external-quote-request-product-list-container').then(() => {
            this.useExternal = true;
        });
    }
    render() {
        return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
    }
    renderExternal() {
        return h("bp-sdk-external-quote-request-product-list-container", { products: this.products });
    }
    renderInternal() {
        return h("bp-sdk-quote-request-product-list", { products: this.products });
    }
    static get is() { return "bp-sdk-quote-request-product-list-container"; }
    static get originalStyleUrls() {
        return {
            "$": ["./bp-sdk-quote-request-product-list-container.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["bp-sdk-quote-request-product-list-container.css"]
        };
    }
    static get properties() {
        return {
            "products": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IProduct[]",
                    "resolved": "IProduct[]",
                    "references": {
                        "IProduct": {
                            "location": "import",
                            "path": "@boldpenguin/sdk-types",
                            "id": "../sdk-types/dist/types.d.ts::IProduct"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Product list"
                },
                "defaultValue": "[]"
            }
        };
    }
    static get states() {
        return {
            "useExternal": {}
        };
    }
}
